POWERCAP-SET(1)

NAME

powercap-set - manage power capping devices with the Linux power capping framework

SYNPOSIS

powercap-set NAME [OPTION]...

DESCRIPTION

Sets configurations for a powercap control type.

The control type NAME must not be empty or contain a '.' or '/'.

OPTIONS

-h, --help
    Prints the help screen

-p, --control-type=NAME
    Deprecated, provide NAME as the first positional argument instead.

-z, --zone=ZONE(S)
    The zone/subzone numbers in the control type's powercap tree. Separate zones/subzones with a colon. E.g., for zone 0, subzone 2:
    -z 0:2

-c, --constraint=CONSTRAINT
    The constraint number (none by default)

-E, --enabled=1|0
    Enable/disable a control type

The following zone-level arguments may be used together and require -z/--zone:

-j, --z-energy
    Reset zone energy counter

-e, --z-enabled=1|0
    Enable/disable a zone

The following constraint-level arguments may be used together and require -z/--zone and -c/--constraint:

-l, --c-power-limit=UW
    Set constraint power limit

-s, --c-time-window=US
    Set constraint time window

EXAMPLES

powercap-set intel-rapl -z 0 -e 1
    Enable zone 0 for the intel-rapl control type.

powercap-set intel-rapl -z 0:1 -e 1
    Enable zone 0, subzone 1 for the intel-rapl control type.

powercap-set intel-rapl -z 0 -c 1 -l 25000000
    Set a power cap of 25 Watts (25000000 uW) on zone 0, constraint 1 for the intel-rapl control type.

powercap-set intel-rapl -z 1:0 -c 0 -l 15000000 -s 976
    Set a power cap of 15 Watts (15000000 uW) and time window of 976 microseconds on zone 1, subzone 0, constraint 0 for the intel-rapl control type.

REMARKS

Administrative (root) privileges are usually needed to use powercap-set.

Setting constraint power cap and/or time limit values may not enable or disable a zone/subzone - set the -e/--z-enabled flag explicitly.

The kernel may round power limits and time windows to discrete values supported by the hardware, e.g., 28 seconds might round to 27983872 microseconds.

Power units: microwatts (uW)
Time units: microseconds (us)

BUGS

Report bugs upstream at <https://github.com/powercap/powercap>

FILES
/sys/devices/virtual/powercap/*
/sys/class/powercap/*

AUTHORS
Connor Imes <connor.k.imes@gmail.com>

SEE ALSO
powercap-info(1)